On This Page
Retrieve All of an Organization's Subscriptions
This section describes how to retrieve a list of the webhook subscriptions to which an
organization subscribes. This request requires you to include the organization ID in the
endpoint as a query parameter. You have the option to include a product ID and event type as
additional query parameters. If you include any of the optional query parameters, you must
concatenate them by separating each parameter with the ampersand character
(
&
).Endpoints
Send a GET request to one of these endpoints. The is
the organization ID or merchant
ID.
{organization.id}
- Test:GEThttps://apitest.cybersource.com/notification-subscriptions/v2/webhooks?organizationId={organization.id}
- Production:GEThttps://api.cybersource.com/notification-subscriptions/v2/webhooks?organizationId={organization.id}
- India Production:GET https://api.in.cybersource.com/notification-subscriptions/v2/webhooks?organizationId={organization.id}
Required Query Parameters for Retrieving All of an Organization's Subscriptions
- eventType
- Set to an event type. For a list of event types, see Supported Products and Event Types.
- organizationId
- Set to your organization ID or merchant ID.
- productId
- Set to a product ID. For a list of product IDs, see Supported Products and Event Types.
Optional Query Parameters for Retrieving All of an Organization's Subscriptions
- eventType
- Set to an event type that corresponds to the chosen product ID. For a list of event types, see Supported Products and Event Types.
- productId
- Set to a product ID. For a list of product IDs, see Supported Products and Event Types.
Example: Retrieving All of an Organization's
Subscriptions
GEThttps://apitest.cybersource.com/notification-subscriptions/v2/webhooks?organizationId=organization123&productId=tokenManagement&eventType=tms.networktoken.provisioned
Response Codes
A successful request is indicated by the 200-level response code.
For more information about all of the
possible response codes you can receive, see Transaction Response Codes
.